Subject: Re: [PATCH 2/2] at803x: double check SGMII side autoneg

From: Andrew Lunn <[email-masked]>
Date: Tue, 23 May 2017 18:07:22 +0200

On Tue, May 23, 2017 at 10:54:57AM -0500, Timur Tabi wrote:
> On 05/22/2017 04:32 PM, Andrew Lunn wrote:
> >> I'll have to test this, but what do I do if I don't get another interrupt?
> > It probably means interrupts cannot be used. Poll it.
> 
> I will test that to see what happens, but I believe the real problem is that
> the at803x driver is lying when it says that the link is not okay.  I think
> the link is okay, and that's why I'm not getting any more interrupts.  I
> don't think I should have to drop interrupt support in my MAC driver because
> one specific PHY driver is broken.

If it turns out the PHY hardware is broken, the phy driver itself can
force it back to polling by setting phydev->irq to PHY_POLL in its
probe() function.

	Andrew